/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.wfink.jee.ejb.test;

import de.wfink.jee.ejb.SimpleSLSRemote;
import java.util.Properties;
import javax.naming.Context;
import javax.naming.InitialContext;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author wolf
 */
public class SimpleSLSBeanTest {
	private static SimpleSLSRemote sslsBean;

	@BeforeClass
	public static void setUpClass() throws Exception {
		Properties p = new Properties();
		p.put(Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
    p.put(Context.PROVIDER_URL, "jnp://localhost:1099");
    p.put(Context.URL_PKG_PREFIXES, "org.jboss.naming:org.jnp.interfaces");

		InitialContext ctx = new InitialContext(p);
		sslsBean = (SimpleSLSRemote)ctx.lookup("EApp_Test1/SimpleSLSBean/remote");
	}

	@AfterClass
	public static void tearDownClass() throws Exception {
	}

	@Before
	public void setUp() {
	}

	@After
	public void tearDown() {
	}

	@Test
	public void callSimpleLog() {
		String message = sslsBean.writeLog("Wolf");
		assertEquals("Got wrong message!", "Wolf was here!", message);
	}
}
